function B = B_approx1(T,n,d) 

% B = B_APPROX1(T,n,d)    Base-level activation, approximate formula 1.
%   ...
%   See p.124 of the "Atomic Components of Thought".
%   When not supplied, D defaults to the global variable DECAY.
%   
%   See also BASE_ACT, B_APPROX2.

%   Original coding by Alexander Petrov, Carnegie Mellon University.
%   $Revision: 1.0 $  $Date: 1999/10/22 18:00 $

global DECAY

switch nargin
  case 0
    error ('Too few input arguments to B_APPROX1.') ;
  case 1
    error ('Too few input arguments to B_APPROX1.') ;
  case 2        % D defaults to the global variable DECAY
    d = DECAY ;
end


B = log(n ./ (1-d)) - (log(T) .* d) ;


%%%%% End of B_APPROX.M
