function B = B_approx2(t,T,n,d) 

% B = B_APPROX2(t,T,n,d)    Base-level activation, approximate formula 2.
%   ...
%   When not supplied, D defaults to the global variable DECAY.
%   
%   See also BASE_ACT, B_APPROX1.

%   Original coding by Alexander Petrov, Carnegie Mellon University.
%   $Revision: 1.0 $  $Date: 1999/10/23 14:30 $

global DECAY

switch nargin
  case 0
    error ('Too few input arguments to B_APPROX2.') ;
  case 1
    error ('Too few input arguments to B_APPROX2.') ;
  case 2
    error ('Too few input arguments to B_APPROX2.') ;
  case 3        % D defaults to the global variable DECAY
    d = DECAY ;
end

if (n > 0)
  one_d = 1 - d ;
  approx = T .^ one_d - t .^ one_d ;
  approx = approx .* n ./ one_d ;
  approx = approx ./ (T - t) ;
else
  approx = 0 ;
end

B = log((t .^ -d) + approx) ;

%%%%% End of B_APPROX2.M
