function  y = dB(x)

%dB -- Decibel transform: dB(x) = 20*log10(x)
%
% Example: dB([0.1 0.8913 1 1.122 10]) ==> [-20 -1 0 1 20]
%
% Example: Conversion from natural logs to decibels
%   log_pi=log(pi),k=20*log10(exp(1)),dB_pi=k*log_pi,dBinv(dB_pi)
%
% See also DBINV, LOG10.

% Original coding by Alexander Petrov, Ohio State University.
% $Revision: 1.0 $  $Date: 2004/05/06 11:50 $
%
% Part of the utils toolbox version 1.1 for MATLAB version 5 and up.
% http://alexpetrov.com/softw/utils/
% Copyright (c) Alexander Petrov 1999-2006, http://alexpetrov.com
% Please read the LICENSE and NO WARRANTY statement in ../utils_license.m

y = 20.*log10(x) ;

%--- Return Y
%%%%% End of DB.M
